Lower Qt deprecation level

Nicolas Fella requested to merge work/nico/deprecated into master

Qt 6.5.0 has a bug where API is marked as deprecated since 6.4 which shouldn't be, breaking our build

Merge request reports